<?php
/**
 * @package		Ad Platform
 * @author		Uta Marian - Alexandru ( -uMarian- )
 * @license		http://codecanyon.net/licenses
 * @link		http://www.uta-marian.com
 * @version		Version 1.0
 */

require_once(dirname(__FILE__).'/../../config.php');
require_once(DIR_SYSTEM.'/users/session.user.php');

//** CHECK IF ADVERTISER IS ON or OFF **//
if ( ADVERTISER != 'ON' ) { header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard' ); exit; }
//** END CHECK **//


$USER_ID	=	$_SESSION[USER_SESSION]['0']['user_id'];
$ID			=	$prepare->sanitize($_GET['id'],'input');

$view->advertiser = $db->Query("SELECT `adv_profile_deposits`, `adv_profile_spent`, `adv_profile_campaigns`, `adv_profile_ads` FROM advertisers_profiles where adv_profile_user_id=?","i",$USER_ID);

$view->campaign	=	$campaign = $db->Query("SELECT `adv_campaign_id`, `adv_campaign_title`, `adv_campaign_details`, `adv_campaign_daily_budget`, `adv_campaign_daily_spent`, `adv_campaign_status` FROM advertisers_campaigns where adv_campaign_user_id=? and adv_campaign_id=?","ii",$USER_ID,$ID);

if ( empty( $campaign ) && !empty( $ID ) ) { 
	header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard/advertiser/campaigns' ); exit;
}








/* set page title */
$view->title = $LANG["WBS_DB_NEW_ADV_AD"];
$view->description = $LANG["WBS_DB_NEW_ADV_AD"];
$view->keywords = $LANG["WBS_DB_NEW_ADV_AD"];

//**DEFINE CUSTOM CSS/JS FILLES**//
$view->customCode = '<link href="'.HTTP_SERVER_WEBSITE.'templates/'.WEBSITE_TEMPLATE.'/assets/css/dashboard.css" rel="stylesheet">';

$view->advertiser_menu = 'on';
$view->header = $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/header.php');
$view->footer = $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/footer.php');

echo $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/plugins/advertiser/campaign.php');
?>