<?php
/**
 * @package		Ad Platform
 * @author		Uta Marian - Alexandru ( -uMarian- )
 * @license		http://codecanyon.net/licenses
 * @link		http://www.uta-marian.com
 * @version		Version 1.0
 */

require_once(dirname(__FILE__).'/../../config.php');
require_once(DIR_SYSTEM.'/users/session.user.php');

//** CHECK IF PUBLISHER IS ON or OFF **//
if ( PUBLISHER != 'ON' ) { header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard' ); exit; }
//** END CHECK **//
$m			=	$prepare->sanitize($_GET['m'],'input');
$USER_ID	=	$_SESSION[USER_SESSION]['0']['user_id'];
$ID			=	$prepare->sanitize($_GET['channel'],'input');


$view->channel	=	$channel = $db->Query("SELECT `pc_id`, `pc_user_id`, `pc_title`, `pc_details`, `pc_domain` FROM publisher_channels where pc_user_id=? and pc_id=?","ii",$USER_ID,$ID);

if ( empty( $channel ) ) { 
	header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard/publisher/channels' ); exit;
}





//GET ACTIVE APLICATIONS LIST
$adsList	=	$db->Query("SELECT `pau_id`, `pau_channel_id`, `pau_user_id`, `pau_name`, `paus_impressions`, `paus_clicks`, `paus_money` FROM publishers_ad_units left join publishers_ad_units_statistics on publishers_ad_units_statistics.paus_ad_id = publishers_ad_units.pau_id where pau_user_id=? and pau_channel_id=? order by pau_id DESC","ii",$USER_ID,$ID);
$numbers = count ($adsList);

//PAGINATION
$page		=	$prepare->sanitize($_GET['p'], 'input');
$on_page	=	"10";
$page=!empty($page)?$page:"1";
$limitfrom=($page-1)*$on_page;
$limitto=($page*$on_page)-($page-1)*$on_page;
$itemsPerPage=$on_page;
$upsy = $paginator['rows']=$numbers;	 // rows
	  $paginator['pager']=$prepare->page($page,$upsy,$itemsPerPage);
	  $paginator['limitfrom']=$limitfrom+1;
	  $paginator['limitto']=$limitfrom+$upsy;
	  $paginator['itemsnum']=$upsy;
	  $paginator['page']=$page;
$view->paginator	=	$paginator;
//END PAGINATION
$view->ads = array_slice($adsList, $limitfrom, $limitto);
//***********************************************************************//



if ( $m == 'delete' ) {
	$AD_ID	=	$prepare->sanitize($_GET['id'],'input');
	//** GET AD DETAILS FOR DELETING VALIDATION **//
	$view->ad	=	$ad = $db->Query("SELECT `pau_id`, `pau_name` FROM publishers_ad_units where pau_user_id=? and pau_id=?","ii",$USER_ID,$AD_ID);
}

if ( $m == 'yes-delete' ) {

	$AD_ID	=	$prepare->sanitize($_GET['id'],'input');

	$validate	=	$ad = $db->Query("SELECT `pau_id` FROM publishers_ad_units where pau_user_id=? and pau_id=?","ii",$USER_ID,$AD_ID);

if ( !empty ( $validate ) ) {
	$AD_ID	=	$prepare->sanitize($_GET['id'],'input');
	$C_ID	=	$prepare->sanitize($_GET['channel'],'input');

	$db->NoQuery("DELETE FROM publishers_ad_units WHERE pau_id=?","i",$AD_ID);
	$db->NoQuery("DELETE FROM publishers_ad_units_statistics WHERE paus_ad_id=?","i",$AD_ID);
	$db->NoQuery("DELETE FROM publishers_ad_units_design WHERE paud_ad_unit_id=?","i",$AD_ID);
	$db->NoQuery("DELETE FROM publisher_ad_units_clicks WHERE pauc_ad_id=?","i",$AD_ID);

$db->NoQuery("update publishers_profiles set pub_profile_ads=pub_profile_ads-1 where pub_profile_user_id=?","i",$USER_ID);

}

	header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard/publisher/ads?channel='.$C_ID ); exit;
}





/* set page title */
$view->title = $LANG["WBS_C_ADS_SEO"];
$view->description = $LANG["WBS_C_ADS_SEO"];
$view->keywords = $LANG["WBS_C_ADS_SEO"];

//**DEFINE CUSTOM CSS/JS FILLES**//
$view->customCode = '<link href="'.HTTP_SERVER_WEBSITE.'templates/'.WEBSITE_TEMPLATE.'/assets/css/dashboard.css" rel="stylesheet">';

$view->publisher_menu = 'on';
$view->header = $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/header.php');
$view->footer = $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/footer.php');

echo $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/plugins/publisher/ads.php');
?>